% Field_II_GUI - testing normalized units
disp('***********************************************************************');
disp('************    Field_II_GUI, Version 2.0, July 22, 1999    ***********');
disp('***********************************************************************');

field_init(-1)

flags.calc_hp = 0;
flags.calc_hhp = 0;
flags.calc_k = 0;
flags.non_delta = 0;
flags.targ_type = 1;

a = figure('Color',[0.8 0.8 0.8], ...
	'Position',[25 50 522 414], ...
	'Tag','Fig1');
handles.gui_figure = a;
handles.plot_figure = figure('Color',[0.8 0.8 0.8], ...
	'Position',[550 50 522 414], ...
	'Tag','Fig1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'Position',[.040 .53 .47 .41], ...
        'Style','frame', ...
        'Tag','Frame1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'Position',[.580 .78 .38 .16], ...
        'Style','frame', ...
        'Tag','Frame1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'Position',[.580 .16 .38 .61], ...
        'Style','frame', ...
        'Tag','Frame1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'Position',[.040 .35 .47 .17], ...
        'Style','frame', ...
        'Tag','Frame1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'Position',[.040 .18 .47 .16], ...
        'Style','frame', ...
        'Tag','Frame1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.36 .95 .27 .05], ...
	'String','Linear Array', ...
	'FontSize',14, ...
	'Style','text', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.095 .90 .34 .03], ...
	'String','Transducer Parameters', ...
	'Style','text', ...
	'HorizontalAlignment','center', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.050 .85 .27 .04], ...
	'String','Number of Elements', ...
	'Style','text', ...
	'HorizontalAlignment','left', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.050 .80 .27 .04], ...
	'String','Kerf (mm)', ...
	'Style','text', ...
	'HorizontalAlignment','left', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.050 .75 .27 .04], ...
	'String','Width (mm)', ...
	'Style','text', ...
	'HorizontalAlignment','left', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.050 .70 .27 .04], ...
	'String','Height (mm)', ...
	'Style','text', ...
	'HorizontalAlignment','left', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[0.701961 0.701961 0.701961], ...
        'Position',[.050 .65 .27 .04], ...
        'String','Focal Pt. [lat elev axial] (mm)', ...
        'Style','text', ...
        'HorizontalAlignment','left', ...
        'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.050 .60 .27 .04], ...
	'String','Center Frequency (MHz)', ...
	'Style','text', ...
	'HorizontalAlignment','left', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.050 .55 .27 .04], ...
	'String','Fractional Bandwidth (%)', ...
	'Style','text', ...
	'HorizontalAlignment','left', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[0.701961 0.701961 0.701961], ...
        'Position',[.600 .90 .35 .03], ...
        'String','General Settings', ...
        'HorizontalAlignment','center', ...
        'Style','text', ...
        'Tag','StaticText1'); 
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.600 .85 .27 .04], ...
	'String','Sampling Frequency (MHz)', ...
	'Style','text', ...
	'HorizontalAlignment','left', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.600 .80 .27 .04], ...
	'String','Sound Speed (m/s)', ...
	'Style','text', ...
	'HorizontalAlignment','left', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[0.701961 0.701961 0.701961], ...
        'Position',[.600 .72 .27 .04], ...
        'String','Target Type:', ...
        'HorizontalAlignment','left', ...
        'Style','text', ...
        'Tag','StaticText1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[0.701961 0.701961 0.701961], ...
        'Position',[.10 .47 .35 .04], ...
        'String','Image Size', ...
        'HorizontalAlignment','center', ...
        'Style','text', ...
        'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.05 .42 .27 .04], ...
	'String','Lateral ROI Range (mm)', ...
	'HorizontalAlignment','left', ...
	'Style','text', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[0.701961 0.701961 0.701961], ...
        'Position',[.05 .37 .27 .04], ...
        'String','Lateral Increment (mm)', ...
        'HorizontalAlignment','left', ...
        'Style','text', ...
        'Tag','StaticText1');
b = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[0.701961 0.701961 0.701961], ...
        'Position',[.05 .29 .3 .04], ...
        'String','Excitation Pulse: ', ...
        'Style','text', ...
        'HorizontalAlignment','left', ...
        'Tag','StaticText2');
handles.number_elements = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[1 1 1], ...
        'Position',[.320 .85 .180 .040], ...
        'String','128', ...
        'Style','edit', ...
	'Callback','store_params', ...
        'Tag','EditText1');
handles.kerf = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[1 1 1], ...
        'Position',[.320 .80 .180 .040], ...
        'String','0.02', ...
        'Style','edit', ...
	'Callback','store_params', ...
        'Tag','EditText1');
handles.width = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[1 1 1], ...
        'Position',[.320 .75 .180 .040], ...
        'String','0.2', ...
        'Style','edit', ...
	'Callback','store_params', ...
        'Tag','EditText1');
handles.height = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[1 1 1], ...
        'Position',[.320 .70 .180 .040], ...
        'String','5', ...
        'Style','edit', ...
	'Callback','store_params', ...
        'Tag','EditText1');
handles.focus_lateral = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[1 1 1], ...
        'Position',[.32 .65 .0599 .040], ...
        'String','0', ...
	'Fontsize',[10], ...
        'Style','edit', ...
        'Callback','store_params', ...
        'Tag','EditText1');
handles.focus_elevation = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[1 1 1], ...
        'Position',[.38 .65 .0599 .040], ...
        'String','0', ...
        'Fontsize',[10], ...
        'Style','edit', ...
        'Callback','store_params', ...
        'Tag','EditText1');
handles.focus_axial = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[1 1 1], ...
        'Position',[.44 .65 .0599 .040], ...
        'String','30', ...
        'Fontsize',[10], ...
        'Style','edit', ...
        'Callback','store_params', ...
        'Tag','EditText1');
handles.center_freq = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[.320 .60 .180 .040], ...
	'String','7.5', ...
	'Style','edit', ...
	'Callback','store_params', ...
	'Tag','EditText1');
handles.fractional_bandwidth = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[.320 .55 .180 .040], ...
	'String','50', ...
	'Style','edit', ...
	'Callback','store_params', ...
	'Tag','EditText1');
handles.sampling_freq = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[.870 .85 .08 .040], ...
	'String','100', ...
	'Style','edit', ...
	'Callback','store_params', ...
	'Tag','EditText1');
handles.sound_speed = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[.870 .80 .08 .040], ...
	'String','1540', ...
	'Style','edit', ...
	'Callback','store_params', ...
	'Tag','EditText1');
handles.targ_type  = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Max',3, ...
	'Min',1, ...
	'Position',[.72 .72 .23 .040], ...
	'String',['Point              ';...
                  'Structured         ';...
                  'Diffuse            ';...
                  'Structured&Diffuse ';...
		  'User Defined       '], ...
        'HorizontalAlignment','left', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Callback','store_params', ...
	'Value',1);
handles.calc_lateral_range = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[.420 .43 .08 .040], ...
	'String','2', ...
	'Style','edit', ...
	'Callback','store_params', ...
	'Tag','EditText1');
handles.calc_lateral_increment = uicontrol('Parent',a, ...
        'Units','normalized', ...
        'BackgroundColor',[1 1 1], ...
        'Position',[.420 .38 .08 .040], ...
        'String','0.02', ...
        'Style','edit', ...
        'Callback','store_params', ...
        'Tag','EditText1');
handles.excite_type  = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Max',3, ...
	'Min',1, ...
	'Position',[.33 .29 .17 .040], ...
	'String',['Delta ';'Sine  ';'Square'], ...
        'HorizontalAlignment','left', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Callback','store_params', ...
	'Value',1);
handles.calc_type  = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Max',4, ...
	'Min',1, ...
	'Position',[.050 .06 .47 .040], ...
	'String',[ ...
		'Calculate:                     '; ...
		'                               '; ...
		'TX Pressure Field              '; ...
		'TX/RX Pressure Field           '], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Callback','calc_field_2', ...
	'HorizontalAlignment','left', ...
	'Value',1);
handles.plot_type  = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Max',4, ...
	'Min',1, ...
	'Position',[.050 .01 .47 .040], ...
	'String',[ ...
		'Plot:                          '; ...
		'                               '; ...
		'Element Impulse Response       '; ...
		'Excitation Waveform            '], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Callback','plot_graphs', ...
	'HorizontalAlignment','left', ...
	'Value',1);
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Position',[.600 .01 .27 .04], ...
	'String','Save filename', ...
	'Style','text', ...
	'HorizontalAlignment','left', ...
	'Tag','StaticText1');
handles.savefname = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[.730 .01 .22 .040], ...
	'String','testing', ...
	'Style','edit', ...
	'Callback','', ...
	'Tag','EditText1');
handles.save  = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Max',4, ...
	'Min',1, ...
	'Position',[.600 .06 .35 .04], ...
	'String',[ ...
		'Plot to save:                  '; ...
		'                               '; ...
		'Target file                    '], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Callback','save_data', ...
	'HorizontalAlignment','left', ...
	'Value',1);
handles.quit = uicontrol('Parent',a, ...
	'Units','normalized', ...
        'BackgroundColor',[0.701961 0.701961 0.701961], ...
        'Position',[.87 .95 .08 .040], ...
        'Style','Pushbutton', ...
	'String','QUIT', ...
   'Callback','xdc_free(probeHandle); delete(handles.gui_figure); delete(handles.plot_figure); field_end;');
store_params;
