% home = pwd;
% nCh = 128;
% reRoute = true;
% chanls = ones(1,nCh);
% path = 'C:\Users\Kai_Zhang\Desktop\4cm\1ele_3000amp_tx5mhz_minus72\';
% RFframe = zeros(2000,128,128);
% for i = 1:1:128
%     [header, RFframe(:,:,i)] = readDAQ(path, chanls, i*2, reRoute);
%     disp(['reading RF frame #', num2str(i)]);
% end

function out = DAS_single(rf, no_ele, channelSpacing)

% load('rf.mat');
% no_ele = 32;

ns = size(rf,1);   % number of samples
nl = size(rf,2);   % number of lines

% win = hanning(fulAprSz)';   % windowing used for apodization
% chnls = zeros(1,fulAprSz);  % will be filled with proper signal from each channel

% channelSpacing = 0.3;    % spacing between lines/channels in the lateral direction in milimeter
% channelSpacing = 58.65/128; % spacing for 60 mm transducer
% sampleSpacing = 0.01925; % spacing between samples in the axial direction in milimeter
sampleSpacing = (1/40e6*1540)*1000; % spacing between samples in photoacoustic imaging
speedSound = 1540000; % mm/s
sampleFreq = 40e6;

postBF = zeros(ns,nl);

hlfapt = no_ele/2;
for r = 1:nl % final line
%     RF(:,:) = RFframe(:,:,m);
RF = rf;
    for j = 1:ns
        for i = r-hlfapt:r+hlfapt
            if i > 0 && i <= nl
                depth = j*(sampleSpacing*1);
                width = (r-i) * channelSpacing;
                rad = sqrt(depth^2 + width^2);
                delay = (rad - depth)/(sampleSpacing*1);
                if round(j + delay) < ns
                    postBF(j,r) = postBF(j,r) + RF((j+round(delay)),i);
%                     postBF(j,r) = win .* postBF(j,r);
                end
            end
        end
    end
end

out = postBF;
% Bpost = sqrt( abs( hilbert(postBF(:,:)) ) ) ;
% % 
% % maxBpost = max(Bpost(:));
% % for i = 1:nCh
% %     for j = 1:2000
% %         Bpost_c(j,i) = log10(Bpost(j,i)/maxBpost + 10);
% %         if Bpost_c(j,i) < -1.5
% %             Bpost_c(j,i) = -1.5;
% %         end
% %     end
% % end
% % save('Bpost_c_SA_v1.mat','Bpost_c');
% % % 
% figure;
% imagesc(out(:,:));
% colormap(gray);
