function [pos, amp] = calc_struct(numaxpts,numlatpts,distaxpts,distlatpts,focalPoint,latDistFromFocus, axDistFromFocus)
% function to generate an array of structured scatterers for input
% to calc_scat. - centers structure around 0,0,0, then calc_field_2
% shifts to focal point
numpts=numaxpts*numlatpts;
ptslat=[-(numlatpts-1)/2:(numlatpts-1)/2]*distlatpts - latDistFromFocus;
ptsax=[-(numaxpts-1)/2:(numaxpts-1)/2]*distaxpts+axDistFromFocus;
ptelevloc=0;
pos=zeros(numpts,3);
tmpctr=1;
for i=1:numaxpts
  for j=1:numlatpts
    pos(tmpctr,:)=[ptslat(j) ptelevloc ptsax(i)];
    amp(tmpctr,1)=1;
    tmpctr=tmpctr+1;
  end
end
