% file for saving data sets generated in GUI
% first get the filename
%                'Plot to save:                  '; ...
%                '                               '; ...
%                'Target file                    '; ...
%                'TX/RX Field Image              '; ...
%                'TX/RX Lateral Beamplot         '; ...
%                'Kspace Image                   '; ...
%                'Detected Image                 '], ...
varname=sprintf('%s',get(handles.savefname,'String'));
% first clear structure
cmd=sprintf('clear %s',varname);
eval(cmd);
switch (get(handles.save,'Value'))
case 3 % target
  cmd=sprintf('save %s pos amp',varname);
  eval(cmd);
case 4  %TX/RX Field Image   
  cmd=sprintf('%s.disttxrx = disttxrx',varname);
  eval(cmd);
  cmd=sprintf('%s.lateralPosition = lateralPosition',varname);
  eval(cmd);
  cmd=sprintf('%s.psf = psf',varname);
  eval(cmd);
  cmd=sprintf('save %s %s', varname, varname);
  eval(cmd);
case 5 % TX/RX Lateral Beamplot
  MaxValPsf=max(psf);
  lateralBeamPlot=20*log10(MaxValPsf/max(MaxValPsf));
  cmd=sprintf('%s.lateralPosition = lateralPosition',varname);
  eval(cmd);
  cmd=sprintf('%s.lateralBeamPlot=lateralBeamPlot',varname);
  eval(cmd);
  cmd=sprintf('save %s %s', varname, varname);
  eval(cmd);
case 6 % Kspace Image 
  cmd=sprintf('%s.flat = flat',varname);
  eval(cmd);
  cmd=sprintf('%s.fax = fax',varname);
  eval(cmd);
  cmd=sprintf('%s.kpsf = kpsf',varname);
  eval(cmd);
  cmd=sprintf('save %s %s', varname, varname);
  eval(cmd);
case 7 % Detected Image
  cmd=sprintf('%s.disttxrx = disttxrx',varname);
  eval(cmd);
  cmd=sprintf('%s.lateralPosition = lateralPosition',varname);
  eval(cmd)
  cmd=sprintf('%s.envsc = envsc',varname);
  eval(cmd);
  cmd=sprintf('%s.timetxrxC = timetxrxC',varname);
  eval(cmd);  % for compounding
  cmd=sprintf('save %s %s', varname, varname);
  eval(cmd);
end
set(handles.save,'Value',1);

  
