load('C:\Users\Kai_Zhang\Desktop\0504\RF_96.mat');
RFframe_plus = RFframe;
load('C:\Users\Kai_Zhang\Desktop\0504\RF_origin.mat');
RFframe_minus = RFframe;

for i = 1:128-16
    newRF_plus(:,i) =  RFframe_plus(:,i+16,i+16);  
end

for i = 1+16:128
   newRF_minus(:,i) =  RFframe_minus(:,i-16,i-16);  
end

b(1:1800,:) = newRF_plus(201:2000,:);
a(1:1800,:) = newRF_minus(201:2000,:);

x_size = 30;
y_size = 100;

x_frame = 128;
y_frame = 1500;

%% x component

% Pick point
figure
imagesc(a(:,:));
title('PickPoint');
[tX, tY] = ginput(1);
close;

i_base1 = round(tY(1));
j_base1 = round(tX(1));

point = [j_base1;i_base1];

c_window_a = a(i_base1-(y_size-1)/2:i_base1+(y_size-1)/2,j_base1-(x_size-1)/2:j_base1+(x_size-1)/2);
ccd = zeros(y_frame, x_frame);

for j = round(tX(1)) - 18 : round(tX(1)) + 18 ;
    for i = round(tY(1)) - 18: round(tY(1)) + 18 ;
        c_window_b = b(i-(y_size-1)/2:i+(y_size-1)/2,j-(x_size-1)/2:j+(x_size-1)/2);
        ccd(i,j) = corr2(c_window_a, c_window_b);
        sub_ccd(i - i_base1+19, j - j_base1+19) = ccd(i,j);
    end
end

abs_ccd = abs(sub_ccd);

[m, ind] = max(abs_ccd(:)); 
[max_y1, max_x1] = ind2sub(size(abs_ccd), ind); 

confirm_x1 = a(i_base1-(y_size-1)/2:i_base1+(y_size-1)/2,j_base1-(x_size-1)/2:j_base1+(x_size-1)/2);
confirm_x2 = b((i_base1-19)+round(max_y1)-(y_size-1)/2:(i_base1-19)+round(max_y1)+(y_size-1)/2,(j_base1-19)+round(max_x1)-(x_size-1)/2:(j_base1-19)+round(max_x1)+(x_size-1)/2);

figure
ax(1) = subplot(1,2,1);
imagesc(confirm_x1);
ax(2) = subplot(1,2,2);
imagesc(confirm_x2);

delta = [max_x1-19;max_y1-19];